window.addEventListener('message', e => {
	// console.log('Got message', e, e.source, e.data);
	if (e.data === 'getDevices') {
		navigator.mediaDevices
			.getUserMedia({ audio: true })
			.then(
				stream => {
					stream.getTracks().forEach(track => track.stop());
				},
				err => {
					console.log('Not allowed to use audio', err);
				},
			)
			.then(() => navigator.mediaDevices.enumerateDevices())
			.then(
				devices =>
					devices.filter(dev => dev.kind === 'audioinput').map((dev, index) => ({ ...dev.toJSON(), index })),
				err => {
					console.log('Failed to enumerate devices', err);
					return null;
				},
			)
			.then(devices =>
				window.parent.postMessage(
					JSON.stringify({
						type: 'audioDevices',
						devices,
					}),
					'*',
				),
			);
	}
});
